package com.persagy.ems.pojo.wz;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.persagy.core.annotation.Column;
import com.persagy.core.annotation.Dimension;
import com.persagy.core.annotation.Entity;
import com.persagy.core.annotation.Index;
import com.persagy.core.annotation.Table;
import com.persagy.core.enumeration.Schema;
import com.persagy.core.enumeration.EMSDimension;
import com.persagy.core.mvc.pojo.BusinessObject;

/**
 * 龙湖定制5minute天气数据
 */
@Dimension(dimension = EMSDimension.Building)
@Entity(name = "MinuteRecordData")
@Table(name = "t_minute", schema = Schema.EMS, comment = "天气5分钟的数据", indexes = {
		@Index(columns = { "c_city_id", "c_minute_time" }, unique = true) })
public class MinuteRecordData extends BusinessObject {
	private static final long serialVersionUID = -4532764045820431446L;

	@JsonProperty("cityId")
	@Column(order = 1, name = "c_city_id", length = 50, nullable = false, comment = "城市编码")
	private String cityId;

	@JsonProperty("minuteTime")
	@Column(order = 2, name = "c_minute_time", length = 0, nullable = false, comment = "数据时间")
	private Date minuteTime;

	@JsonProperty("data")
	@Column(order = 3, name = "c_data", length = 18, scale = 8, nullable = false, comment = "数值")
	private Double data;

	@JsonProperty("type")
	@Column(order = 3, name = "c_type", length = 5, nullable = false, comment = "类型")
	private Integer type;

	public String getCityId() {
		return cityId;
	}

	public void setCityId(String cityId) {
		this.cityId = cityId;
	}

	public Date getMinuteTime() {
		return minuteTime;
	}

	public void setMinuteTime(Date minuteTime) {
		this.minuteTime = minuteTime;
	}

	public Double getData() {
		return data;
	}

	public void setData(Double data) {
		this.data = data;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}
}
